| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
WriterTimes Struct Reference
eProsima Fast DDS API Reference » RTPS » RTPS Attributes Module.

Struct WriterTimes, defining the times associated with the Reliable Writers events. More...

`#include <WriterAttributes.hpp>`

## Public Member Functions

bool | operator== (const WriterTimes &b) const

## Public Attributes

dds::Duration_t | initial_heartbeat_delay {0, 12 * 1000 * 1000}
| Initial heartbeat delay. Default value 12ms.
dds::Duration_t | heartbeat_period {3, 0}
| Periodic HB period, default value 3s.
dds::Duration_t | nack_response_delay {0, 5 * 1000 * 1000}
| Delay to apply to the response of a ACKNACK message, default value 5ms.
dds::Duration_t | nack_supression_duration {0, 0}
| This time allows the RTPSWriter to ignore nack messages too soon after the data as sent, default value 0s.

## Detailed Description

Struct WriterTimes, defining the times associated with the Reliable Writers events.

## Member Function Documentation

## ◆ operator==()

bool operator== | ( | const WriterTimes & | b | ) | const

inline

## Member Data Documentation

## ◆ heartbeat_period

dds::Duration_t heartbeat_period {3, 0}

Periodic HB period, default value 3s.

## ◆ initial_heartbeat_delay

dds::Duration_t initial_heartbeat_delay {0, 12 * 1000 * 1000}

Initial heartbeat delay. Default value 12ms.

## ◆ nack_response_delay

dds::Duration_t nack_response_delay {0, 5 * 1000 * 1000}

Delay to apply to the response of a ACKNACK message, default value 5ms.

## ◆ nack_supression_duration

dds::Duration_t nack_supression_duration {0, 0}

This time allows the RTPSWriter to ignore nack messages too soon after the data as sent, default value 0s.

The documentation for this struct was generated from the following file:

- include/fastdds/rtps/attributes/WriterAttributes.hpp